## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate stacker

Name:           rust-stacker
Version:        0.1.21
Release:        %autorelease
Summary:        Stack growth library useful when implementing deeply recursive algorithms

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/stacker
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          stacker-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A stack growth library useful when implementing deeply recursive
algorithms that may accidentally blow the stack.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Apr 28 2025 Fabio Valentini <decathorpe@gmail.com> - 0.1.21-1
- Update to version 0.1.21; Fixes RHBZ#2353272

* Tue Feb 25 2025 Fabio Valentini <decathorpe@gmail.com> - 0.1.19-1
- Update to version 0.1.19; Fixes RHBZ#2346978

* Mon Feb 10 2025 Fabio Valentini <decathorpe@gmail.com> - 0.1.18-1
- Update to version 0.1.18; Fixes RHBZ#2344632

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.17-1
- Update to version 0.1.17; Fixes RHBZ#2307138

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.15-1
- Update to version 0.1.15; Fixes RHBZ#2110090

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.14-1
- Update to version 0.1.14.
- Fixes RHBZ#1963571

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.13-1
- Update to version 0.1.13.
- Fixes RHBZ#1916341

* Sun Sep 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.12-1
- Update to version 0.1.12.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Mon Mar 30 08:09:53 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 16 2019 Josh Stone <jistone@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Initial package

## END: Generated by rpmautospec
